Skip to main content
GET
/
contract
/
v1
/
contracts
/
{employeeId}
/
current-contract
Get current contract by employeeId
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/contracts/{employeeId}/current-contract \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{region}.sesametime.com/contract/v1/contracts/{employeeId}/current-contract"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{region}.sesametime.com/contract/v1/contracts/{employeeId}/current-contract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "8c642543-8971-4763-8ebc-7549a382cab2",
    "status": "current",
    "jobCharge": {
      "id": "91358d5f-14c7-4b89-a180-9cb145d4fe2f",
      "name": "Administrador asociado de recursos humanos",
      "editable": false
    },
    "workdayType": {
      "id": "9ecceaa1-f40c-41d6-ac82-16611f33c7e7",
      "name": "Completa",
      "editable": false
    },
    "contractType": {
      "id": "09ad1dc4-5342-4f0e-bd12-9d829915076b",
      "name": "Indefinido",
      "editable": false
    },
    "degree": {
      "id": "deb4fc22-0481-4673-8f30-b29094fc2876",
      "name": "Grado superior FP",
      "editable": false
    },
    "agreement": "<string>",
    "startAt": "2022-07-01",
    "endAt": "2022-09-30",
    "comment": "Revisar contrato.",
    "trialPeriod": {
      "quantity": 6,
      "trialPeriodType": "months"
    },
    "code": "001",
    "socialSecurityNumber": "12345678",
    "holidays": {
      "totalHolidays": 12,
      "holidayType": "<string>"
    }
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employeeId
string<uuid>
required

Employee ID

Response

200 - application/json
data
object
meta
object